<?php
add_action( 'after_setup_theme', 'blackline_setup' );
function blackline_setup() {
	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size(166, 124, TRUE);
	global $content_width;
	if ( ! isset( $content_width ) )
	$content_width = 960;
	add_theme_support( 'automatic-feed-links' );
	add_action( 'wp_enqueue_scripts', 'blackline_frontend' );
	add_editor_style( 'editor-style.css' );
	add_theme_support( 'woocommerce' );
	add_image_size( 'blackline-logo-size', 330, 100, true );
    add_theme_support( 'site-logo', array( 'size' => 'blackline-logo-size' ) );
    register_nav_menu( 'primary', __( 'Navigation Menu', 'blackline' ) );
}
function blackline_widgets() {
	register_sidebar( 
		array(
	    'name' => __( 'sidebar-left', 'blackline' ),  	  
	    'id'   => 'sidebar-left',
		) 
	);
	register_sidebar( 
		array(
	    'name' => __( 'sidebar-head', 'blackline' ),  	  
	    'id'   => 'sidebar-head',
		) 
	);
	register_sidebar( 
		array(
	    'name' => __( 'sidebar-footer1', 'blackline' ),  	  
	    'id'   => 'sidebar-footer1',
		) 
	);
	register_sidebar( 
		array(
	    'name' => __( 'sidebar-footer2', 'blackline' ),  	  
	    'id'   => 'sidebar-footer2',
		) 
	);
	register_sidebar( 
		array(
	    'name' => __( 'sidebar-footer3', 'blackline' ),  	  
	    'id'   => 'sidebar-footer3',
		) 
	);
}
add_action( 'widgets_init', 'blackline_widgets' );
add_filter('loop_shop_per_page', create_function('$cols', 'return 12;'));
add_filter('loop_shop_columns', 'blackline_loop_columns');
if (!function_exists('blackline_loop_columns')) {
	function blackline_loop_columns() {
		return 3;
	}
}
if ( ! function_exists( 'woocommerce_output_related_products' ) ) {
   function woocommerce_output_related_products() {
		$args = array(
		'posts_per_page' => 3,
		'columns' => 3,
		'orderby' => 'rand'
		);
		 woocommerce_related_products( apply_filters( 'woocommerce_output_related_products_args', $args ) );
	}
}
function blackline_frontend() {
 	wp_enqueue_style( 'blackline-style', get_stylesheet_uri() );
}
function blackline_wp_title( $title, $sep ) {
	global $paged, $page;
	if ( is_feed() )
		return $title;
	$title .= get_bloginfo( 'name' );
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		$title = "$title $sep $site_description";
	if ( $paged >= 3 || $page >= 3 )
		$title = "$title $sep " . sprintf( __( 'Page %s', 'blackline' ), max( $paged, $page ) );
	return $title;
}
add_filter( 'wp_title', 'blackline_wp_title', 10, 3 );
if ( is_singular() ) wp_enqueue_script( "comment-reply" );
add_filter( 'wp_tag_cloud', 'blackline_tag_cloud' );
function blackline_tag_cloud( $tags ){
    return preg_replace(
        "~ style='font-size: (\d+)pt;'~",
        ' class="tag-cloud-size-\10"',
        $tags
    );
}
add_filter('add_to_cart_fragments', 'blackline_fragment');
function blackline_fragment( $fragments ) 
{
    global $woocommerce;
    ob_start(); ?>
    <a class="cart-contents" href="<?php echo $woocommerce->cart->get_cart_url(); ?>" title="<?php _e('View your shopping cart', 'blackline'); ?>"><?php echo sprintf(_n('%d item', '%d items', $woocommerce->cart->cart_contents_count, 'blackline'), $woocommerce->cart->cart_contents_count);?> <?php echo $woocommerce->cart->get_cart_total(); ?></a>
    <?php
    $fragments['a.cart-contents'] = ob_get_clean();
    return $fragments;
}
?>